Subject: Re: [PATCH -next] net: dsa: Simplify with scoped for each OF child loop

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Aug 2024 08:05:07 -0700

On Thu, 22 Aug 2024 16:39:38 +0200 Krzysztof Kozlowski wrote:
> Jakub,
> Scoped uses in-place variable declarations, thus earlier jumps over it
> are not allowed. The code I was converting did not have such jumps, so
> was fine. Not sure if this is the case here, because Jinjie Ruan should
> have checked it and explained that it is safe.

I see, thank you!

Jinjie Ruan please repost crediting Krzysztof more.